<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimTrackerHitObj Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_sim_tracker_hit_obj-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimTrackerHitObj Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_tracker_hit_obj_8h_source.html">SimTrackerHitObj.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for eic::SimTrackerHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_tracker_hit_obj__inherit__graph.png" border="0" usemap="#eic_1_1_sim_tracker_hit_obj_inherit__map" alt="Inheritance graph"/></div>
<map name="eic_1_1_sim_tracker_hit_obj_inherit__map" id="eic_1_1_sim_tracker_hit_obj_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for eic::SimTrackerHitObj:</div>
<div class="dyncontent">
<div class="center"><img src="classeic_1_1_sim_tracker_hit_obj__coll__graph.png" border="0" usemap="#eic_1_1_sim_tracker_hit_obj_coll__map" alt="Collaboration graph"/></div>
<map name="eic_1_1_sim_tracker_hit_obj_coll__map" id="eic_1_1_sim_tracker_hit_obj_coll__map">
<area shape="rect" id="node3" href="classeic_1_1_const_m_c_particle.html" title="eic::ConstMCParticle" alt="" coords="101,5,248,32"/>
<area shape="rect" id="node4" href="classeic_1_1_sim_tracker_hit_data.html" title="eic::SimTrackerHitData" alt="" coords="273,5,431,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af7b01d22334120ef295c98625e945d17"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#af7b01d22334120ef295c98625e945d17">SimTrackerHitObj</a> ()</td></tr>
<tr class="memdesc:af7b01d22334120ef295c98625e945d17"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor  <a href="#af7b01d22334120ef295c98625e945d17">More...</a><br /></td></tr>
<tr class="separator:af7b01d22334120ef295c98625e945d17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d61f72451a4e8e49d341ecbca435bb3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#a8d61f72451a4e8e49d341ecbca435bb3">SimTrackerHitObj</a> (const <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> &amp;)</td></tr>
<tr class="memdesc:a8d61f72451a4e8e49d341ecbca435bb3"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor (does a deep-copy of relation containers)  <a href="#a8d61f72451a4e8e49d341ecbca435bb3">More...</a><br /></td></tr>
<tr class="separator:a8d61f72451a4e8e49d341ecbca435bb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a735a0662172581cdd161a79b3dfa4cf6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#a735a0662172581cdd161a79b3dfa4cf6">SimTrackerHitObj</a> (const podio::ObjectID id, <a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a>)</td></tr>
<tr class="separator:a735a0662172581cdd161a79b3dfa4cf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51376fcea17c1d6f7c09d81bcbcdddc2"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#a51376fcea17c1d6f7c09d81bcbcdddc2">~SimTrackerHitObj</a> ()</td></tr>
<tr class="separator:a51376fcea17c1d6f7c09d81bcbcdddc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a34c9e809495e57e09ec9537585d981d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#a34c9e809495e57e09ec9537585d981d1">data</a></td></tr>
<tr class="separator:a34c9e809495e57e09ec9537585d981d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff3f4b1739b697f33d9154cc774cb550"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_obj.html#aff3f4b1739b697f33d9154cc774cb550">m_particle</a></td></tr>
<tr class="separator:aff3f4b1739b697f33d9154cc774cb550"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00027">27</a> of file <a class="el" href="_sim_tracker_hit_obj_8h_source.html">SimTrackerHitObj.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af7b01d22334120ef295c98625e945d17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b01d22334120ef295c98625e945d17">&#9670;&nbsp;</a></span>SimTrackerHitObj() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitObj::SimTrackerHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00005">5</a> of file <a class="el" href="_sim_tracker_hit_obj_8cc_source.html">SimTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">data</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00040">m_particle</a>.</p>

</div>
</div>
<a id="a8d61f72451a4e8e49d341ecbca435bb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d61f72451a4e8e49d341ecbca435bb3">&#9670;&nbsp;</a></span>SimTrackerHitObj() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitObj::SimTrackerHitObj </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_sim_tracker_hit_obj.html">SimTrackerHitObj</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor (does a deep-copy of relation containers) </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00014">14</a> of file <a class="el" href="_sim_tracker_hit_obj_8cc_source.html">SimTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">data</a>, and <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00040">m_particle</a>.</p>

</div>
</div>
<a id="a735a0662172581cdd161a79b3dfa4cf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a735a0662172581cdd161a79b3dfa4cf6">&#9670;&nbsp;</a></span>SimTrackerHitObj() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitObj::SimTrackerHitObj </td>
          <td>(</td>
          <td class="paramtype">const podio::ObjectID&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a>&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>constructor from ObjectID and <a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> does not initialize the internal relation containers </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00010">10</a> of file <a class="el" href="_sim_tracker_hit_obj_8cc_source.html">SimTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">data</a>.</p>

</div>
</div>
<a id="a51376fcea17c1d6f7c09d81bcbcdddc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51376fcea17c1d6f7c09d81bcbcdddc2">&#9670;&nbsp;</a></span>~SimTrackerHitObj()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">eic::SimTrackerHitObj::~SimTrackerHitObj </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00023">23</a> of file <a class="el" href="_sim_tracker_hit_obj_8cc_source.html">SimTrackerHitObj.cc</a>.</p>

<p class="reference">References <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00040">m_particle</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a34c9e809495e57e09ec9537585d981d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34c9e809495e57e09ec9537585d981d1">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a> eic::SimTrackerHitObj::data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00039">39</a> of file <a class="el" href="_sim_tracker_hit_obj_8h_source.html">SimTrackerHitObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00067">eic::ConstSimTrackerHit::_p()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00061">eic::SimTrackerHit::_p()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00053">eic::ConstSimTrackerHit::cellID0()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00054">eic::SimTrackerHit::cellID0()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00055">eic::ConstSimTrackerHit::cellID1()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00055">eic::SimTrackerHit::cellID1()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00065">eic::ConstSimTrackerHit::EDep()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00060">eic::SimTrackerHit::EDep()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00063">eic::ConstSimTrackerHit::pathLength()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00059">eic::SimTrackerHit::pathLength()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00057">eic::ConstSimTrackerHit::position()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00056">eic::SimTrackerHit::position()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00005">SimTrackerHitObj()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00061">eic::ConstSimTrackerHit::time()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00058">eic::SimTrackerHit::time()</a>.</p>

</div>
</div>
<a id="aff3f4b1739b697f33d9154cc774cb550"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff3f4b1739b697f33d9154cc774cb550">&#9670;&nbsp;</a></span>m_particle</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">::<a class="el" href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a>* eic::SimTrackerHitObj::m_particle</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_obj_8h_source.html#l00040">40</a> of file <a class="el" href="_sim_tracker_hit_obj_8h_source.html">SimTrackerHitObj.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00071">eic::ConstSimTrackerHit::particle()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00063">eic::SimTrackerHit::particle()</a>, <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00005">SimTrackerHitObj()</a>, and <a class="el" href="_sim_tracker_hit_obj_8cc_source.html#l00023">~SimTrackerHitObj()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_sim_tracker_hit_obj_8h_source.html">SimTrackerHitObj.h</a></li>
<li>src/<a class="el" href="_sim_tracker_hit_obj_8cc_source.html">SimTrackerHitObj.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
